server:
  port: 8011
  servlet:
    context-path: /api

#swagger2配置
swagger2:
  enable: true #开启swagger
  projectName: 云平台--business-前端接口
  controllerPath: com.ho.business.controller

spring:
  jackson:
    time-zone: GMT+8
  application:
    name: business-service
  cloud:
    nacos:
      discovery:
        server-addr: 127.0.0.1:8848
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://1.95.170.86:3306/business_db?useUnicode=true&characterEncoding=utf-8&serverTimezone=Asia/Shanghai&allowMultiQueries=true
    username: business_db
    password: zzkj@688737
    druid:
      initialSize: 5
      minIdle: 5
      maxActive: 5
      keepAlive: true #保持长连接
      connection-error-retry-attempts: 3
  #Redis
  redis:
    port: 6379 #端口
    timeout: 50000ms #连接超时
    host: 1.95.170.86 #单机
    password: 123456
    database: 0
    lettuce:
      pool:
        max-active: 8 #连接池最大连接  默认8
        max-idle: 8 #连接池中最大空闲连接 默认8
        min-idle: 1 #连接池中最小空闲连接 默认0
        max-wait: 2000ms #连接池最大阻塞等待时间 使用负值表示没有限制
  boot:
    admin:
      client:
        url: http://localhost:8019/boot

minio:
  accessKey: minioadmin
  secretKey: minioadmin
  endpoint: http://1.95.170.86:9000
  prefixUrl: http://1.95.170.86:9000

formula:
  fieldmap:
    RT_FIELD_BEAN: RT_FIELD_BEAN
